# Class CIM_AssociatedRemainingExtent
extends CIM_Component

This association defines that capacity of the StoragePool that is not yet allocated from the StoragePool. This capacity is remaining in the StoragePool for future allocation.StorageExtents associated to a StoragePool using this association shall be BasedOn StorageExtents that are associated to that StoragePool using CIM_AssociatedComponentExtent, but shall not be associated to that StoragePool using the CIM_AssociatedComponentExtent association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_AssociatedRemainingExtent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true

Description

string

This association defines that capacity of the StoragePool that is not yet allocated from the StoragePool. This capacity is remaining in the StoragePool for future allocation.StorageExtents associated to a StoragePool using this association shall be BasedOn StorageExtents that are associated to that StoragePool using CIM_AssociatedComponentExtent, but shall not be associated to that StoragePool using the CIM_AssociatedComponentExtent association.

UMLPackagePath | string | CIM::Device::StorageServices
Version | string | 2.18.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_AssociatedRemainingExtent | CIM_StoragePool
PartComponent | CIM_AssociatedRemainingExtent | CIM_StorageExtent

## Class Methods